﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;

	public class Damier extends Sprite
	{
		private var col:Number = 5;
		private var line:Number = 6
		private var grid:Sprite;
		private var points:Array;
		private var amplitude:Number = 80000;
		private var diametre:Number = 60
		public function Damier()
		{
			grid = new Sprite();
			addChild(grid);
			grid.x =250;
			grid.y = 250;
			addEventListener(Event.ENTER_FRAME, enterHandler);
		}
		private function enterHandler(e:Event):void
		{
			var dist:Number;
			var distx:Number;
			var disty:Number;
			points = new Array();
			for(var i:Number = 0;i<col;i++){
				for(var j:Number = 0; j<line;j++){
					dist = Math.sqrt(Math.pow((j*20-mouseX+grid.x),1) + Math.pow(i*10-mouseY+grid.y,2));
					if(dist<diametre && dist>=10){
						distx= ((j*50)-mouseX+grid.x<0)?-dist:dist;
						disty= ((i*50)-mouseY+grid.x<0)?-dist:dist;
						points.push({"x":j*30+amplitude/distx,"y":i*30+amplitude/disty});
					}else{
						points.push({"x":j*15,"y":i*15});
					}
				}
			}
			grid.graphics.clear();
			grid.graphics.lineStyle(20*Math.random(),0xffffff,0.1);
			for(var k:Number=0;k<points.length;k++){
				//grid.graphics.beginFill(0xff00ff);
				//grid.graphics.drawEllipse(points[k].x,points[k].y,k*20*Math.random(), 40);
				grid.graphics.endFill();
				if((k+1)%col != 0){
					grid.graphics.moveTo(points[k].x,points[k].y);
					grid.graphics.lineTo(points[k+2].x,points[k+2].y);
				}
				if(k+col < col*line){
					grid.graphics.moveTo(points[1].x,points[1].y);
					grid.graphics.lineTo(points[k+col].x,points[k+col].y);
				}
			}
		}
	}
}